Subject: bug#20253: 24.4; Document `region' face behavior changes, overlay, priority

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Sep 2016 19:46:30 +0300

> From: Alex <[email-masked]>
> Date: Sun, 11 Sep 2016 17:24:45 -0600
> Cc: [email-masked]
> 
> The Elisp manual does mention that "Emacs sometimes uses non-numeric
> priority values for some of its internal overlays", but it would be nice
> if it documented what those were and what they mean.
> 
> The comments in simple.el mention that a cons cell value represents
> primary/secondary priorities, but it's not clear what the difference is.

See compare_overlays in buffer.c.

The ELisp manual is not supposed to be a comprehensive documentation
of the Emacs internals, it's supposed to provide information for users
who write Lisp programs.  People who develop Emacs itself will need to
read the sources anyway.  So it's not a big deal if some obscure
feature is not described in the manual, it just means it is not
supposed to be used by Lisp programs that are not part of Emacs.